Sub ImportSATFunc()
' Set SAT translator's CLSID and STL file name.
Dim strCLSID As String
Dim strFileName As String
strCLSld = "{89162634-02B6-11D5-8E80-0010B541CD80}"
strFileName = "D:\2\102.SAT"
Dim oAddIns As ApplicationAddIns
Set oAddIns = ThisApplication.ApplicationAddIns
' Find the SAT translator, get the CLSID and activate it.
Dim oTransAddIn As TranslatorAddIn
Set oTransAddIn = oAddIns.ItemById(strCLSld)
'oTransAddIn.Activate
' Get the transient object and take it as a factory to produce other objects
Dim transientObj As TransientObjects
Set transientObj = ThisApplication.TransientObjects
' Prepare the first parameter for Open(), the file name
Dim file As DataMedium
Set file = transientObj.CreateDataMedium
file.FileName = strFileName
' Prepare the second parameter for Open(), the open type.
Dim context As TranslationContext
Set context = transientObj.CreateTranslationContext
context.Type = kDataDropIOMechanism
' Prepare the 3rd parameter for Open(), the options.
Dim options As NameValueMap
Set options = transientObj.CreateNameValueMap
options.Value("SaveComponentDuringLoad") = False
options.Value("SaveLocationIndex") = 0
'options.Value("ComponentDestFolder") = ""
options.Value("ImportUnit") = 1
options.Value("ImportColor") = True
options.Value("ImportColorIndex") = 0
options.Value("ComponentDestFolder") = "D:\3"
options.Value("SaveLocationIndex") = 1
' Prepare the fourth parameter for Open(), the final document.
Dim sourceObj As Object
' Open the SAT file.
oTransAddIn.Open file, context, options, sourceObj
ThisApplication.ActiveDocument.Save2
End Sub